Dashboard - Cleanup #41372

mgr/dashboard: CephFs Tab Component
08/21/2019 11:58 AM - Stephan Mdller

Status: Resolved % Done: 0%
Priority: Normal

Assignee: Stephan Muller

Category: Component - CephFS

Target version: v15.0.0

Tags: Affected Versions:

Backport: Pull request ID: 29800
Reviewed:

Description

Currently the details component is responsible for managing all other tabs as well.

Also many API requests a triggered, which should be reduced - if possible to one.

Related issues:

Related to Dashboard - Feature #38287: mgr/dashboard: Manage CephFS quotas Resolved
Related to Dashboard - Documentation #41396: mgr/dashboard: Add a dashboard s... Resolved
Related to Dashboard - Feature #41575: mgr/dashboard: Show CephFS directories... Resolved
History

#1 - 08/21/2019 11:58 AM - Stephan Miiller
- Related to Feature #38287: mgr/dashboard: Manage CephFS quotas added

#2 - 08/22/2019 03:26 PM - Stephan Miiller
- Related to Documentation #41396: mgr/dashboard: Add a dashboard specific endpoint which uses our general purpose API added

#3 - 08/29/2019 01:47 PM - Stephan Mdller
- Status changed from In Progress to Fix Under Review

- Pull request ID set to 29800

#4 - 09/18/2019 08:07 AM - Stephan Miiller
- Related to Feature #41575: mgr/dashboard: Show CephFS directories in the Ul added

#5 - 10/01/2019 03:16 PM - Stephan Miller

- Status changed from Fix Under Review to Resolved

#6 - 12/13/2019 02:03 PM - Nathan Cutler
- Status changed from Resolved to Pending Backport

- Backport set to nautilus
#8 - 12/13/2019 03:00 PM - Nathan Cutler

- Status changed from Pending Backport to Resolved

- Backport deleted (nautilus)

Part of this fix was backported to nautilus - see https://github.com/ceph/ceph/pull/32128 - to fix a different bug.

#9 - 01/17/2020 09:45 PM - Yuri Weinstein
https://github.com/ceph/ceph/pull/32128

Nathan Cutler wrote:

Part of this fix was backported to nautilus - see https:/github.com/ceph/ceph/pull/32128 - to fix a different bug.

merged

#10 - 04/15/2021 05:26 PM - Ernesto Puerta
- Project changed from mgr to Dashboard

- Category changed from 142 to Component - CephFS
